Bug 1262913 - Network label empty after cloning vware vm using image and distributed switch for network
Summary: Network label empty after cloning vware vm using image and distributed switch...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - VMWare
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Ivan Necas
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-14 15:34 UTC by Ivan Necas
Modified: 2019-09-26 13:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:49:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 5483 None None None 2016-04-26 17:10:36 UTC

Description Ivan Necas 2015-09-14 15:34:05 UTC
Foreman 1.5.0 RC2 (and RC1)
exsi5, Vspere 5.0.0
CentOS 6.2

When creating a vmware vm using image (template) with a distributed switch configured the cloned vm has an inactive network and empty label.

Attached the following screendumps.

New vm with name clonevm.localdomain config, before submit (Nic type: VMXNET3 and Network: DvPortGroup):
-new_clonevm_config.png

Created VM (clonevm.localdomain) with inactive dvPortGroup.
- clonevm-overview.png

Empty Network Label in edit page of cloned vm:
- clonevm_network_config.png

Available labels for network config of clonevm.localdomain:
- clonevm-network_labels.png

Manual Change Network to dvPortGroup(switch2):
- clonevm-changed-network-config.png

Overview with active DvPortGroup:
- clonevm-overview-after-manual-change.png

Comment 1 Ivan Necas 2015-09-14 15:34:06 UTC
Created from redmine issue http://projects.theforeman.org/issues/5483

Comment 2 Ivan Necas 2015-09-14 15:39:56 UTC
Proposed patches at http://projects.theforeman.org/issues/5483/ and https://github.com/fog/fog/pull/3689

Comment 4 Bryan Kearney 2015-09-14 16:05:11 UTC
Upstream bug component is Compute Resources

Comment 5 Bryan Kearney 2016-07-26 15:25:24 UTC
Moving 6.2 bugs out to sat-backlog.

Comment 6 Bryan Kearney 2016-07-26 15:40:42 UTC
Moving 6.2 bugs out to sat-backlog.

Comment 8 Bryan Kearney 2016-08-10 19:09:23 UTC
Upstream bug component is Compute Resources - VMWare

Comment 9 Bryan Kearney 2016-08-10 20:10:23 UTC
Upstream bug component is Compute Resources

Comment 10 Bryan Kearney 2016-08-10 22:10:11 UTC
Upstream bug component is Compute Resources - VMWare

Comment 11 Bryan Kearney 2016-12-14 17:21:26 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/5483 has been resolved.

Comment 12 pm-sat@redhat.com 2018-02-21 16:49:54 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.